from pydantic import BaseModel, Field
from typing import Dict, Any
from datetime import datetime


class ProcessStatusSchema(BaseModel):
    id: int
    version: int
    snapshot: Dict[str, Any]
    owner_id: int
    created_at: datetime
    is_last: int
